Summary: The Reliable Event Logging Protocol library
Name: librelp
Version: 1.11.0
Release: 2%{?dist}
License: GPLv3+
URL: http://www.rsyslog.com/
Source0: http://download.rsyslog.com/%{name}/%{name}-%{version}.tar.gz

BuildRequires: gnutls-devel >= 1.4.0

%description
This package provides an easy to use library for the RELP protocol. RELP (stands for Reliable 
Event Logging Protocol) is a general-purpose, extensible logging protocol.

%package devel
Summary: Development files for the %{name} package
BuildRequires: make automake autoconf libtool
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides libraries and header files needed to develop applications using librelp.

%prep
%autosetup

%build
autoreconf -ivf
%configure --disable-static --disable-tls-openssl
%make_build

%install
rm -rf %{buildroot}
%make_install

rm %{buildroot}/%{_libdir}/*.la

%files
%license COPYING
%doc AUTHORS NEWS README doc/*html
%{_libdir}/librelp.so.*

%files devel
%{_includedir}/*
%{_libdir}/librelp.so
%{_libdir}/pkgconfig/relp.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.11.0-1
- Upgrade to version 1.11.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Wang Guodong <gordonwwang@tencent.com> - 1.10.0-1
- package init.
